<%@ Page Title="Users list" language="c#" Codebehind="allusers.aspx.cs" AutoEventWireup="True" Inherits="aspnetforum.allusers" MasterPageFile="AspNetForumMaster.Master" %>
<asp:Content ContentPlaceHolderID="AspNetForumContentPlaceHolder" ID="AspNetForumContent" runat="server">

<div class="location">
<h2><a href="default.aspx"><asp:Label ID="lblHome" runat="server" EnableViewState="False" meta:resourcekey="lblHomeResource1">Home</asp:Label></a>
&raquo;
<asp:Label ID="lblListUsers" runat="server" EnableViewState="False" meta:resourcekey="lblListUsersResource1">List of all users</asp:Label></h2></div>
<div><span style="float:left">
	<asp:TextBox ID="tbUsername" runat="server"></asp:TextBox> &nbsp;
	<button type="button" id="btnSearch" onclick="Search();"><asp:Label ID="lblSearch" runat="server" EnableViewState="False" meta:resourcekey="lblSearchResource1">search username or email</asp:Label></button>
</span>
<span id="spanNonActive" runat="server" style="float:right" enableviewstate="false"><a href="allusers.aspx?Disabled=1"><asp:Label ID="lblNonActivated" runat="server" EnableViewState="False" meta:resourcekey="lblNonActivatedResource1">Disabled users</asp:Label></a></span>
<span id="spanActive" runat="server" style="float:right" enableviewstate="false"><a href="allusers.aspx"><asp:Label ID="lblActivated" runat="server" EnableViewState="False" meta:resourcekey="lblActivatedResource1">Enabled users</asp:Label></a></span>
</div>
<br style="clear:both" /><br />
<table width="100%" cellpadding="4" class="roundedborder"><tr>
<th></th>
<th><a href="allusers.aspx"><asp:Label ID="lblUser" runat="server" EnableViewState="False" meta:resourcekey="lblUserResource1">Username</asp:Label></a></th>
<th><a href="allusers.aspx?order=email">Email</a></th>
<th><a href="allusers.aspx?order=regdate"><asp:Label ID="lblRegSince" runat="server" EnableViewState="False" meta:resourcekey="lblRegSinceResource1">Registered since</asp:Label></a></th>
<th><a href="allusers.aspx?order=posts"><asp:Label ID="lblPosts" runat="server" EnableViewState="False" meta:resourcekey="lblPostsResource1">Posts</asp:Label></a></th>
<th><a href="allusers.aspx?order=logondate"><asp:Label ID="lblLogonDate" runat="server" EnableViewState="False" meta:resourcekey="lblLogonDateResource1">Last logon date</asp:Label></a></th>
<th>
	<input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUncheckAllUsers();" />
</th></tr>
<asp:repeater id="rptUsersList" runat="server" EnableViewState="False">
<ItemTemplate>
<tr>
	<td><a href='viewprofile.aspx?UserID=<%# Eval("UserID") %>'><img src='<%# aspnetforum.Utils.User.GetAvatarFileName(Eval("AvatarFileName")) %>' width="25" height="25" alt="<%# Eval("Username") %>" /></a></td>
	<td><a href='viewprofile.aspx?UserID=<%# Eval("UserID") %>'>
		<%# aspnetforum.Utils.User.GetUserDisplayName(Eval("UserName"), Eval("FirstName"), Eval("LastName"))%>
	</a></td>
	<td><%# ShowEmail(Eval("Email")) %></td>
	<td><%# Eval("RegistrationDate") %></td>
	<td><a href='viewpostsbyuser.aspx?UserID=<%# Eval("UserID") %>'><%# Eval("PostsCount") %></a></td>
	<td><%# Eval("LastLogonDate") %></td>
	<td>
		<% if (IsAdministrator)
		{ %>
			<input type="checkbox" name="cbDel<%# Eval("UserID") %>" />
		<% } %>
	</td>
</tr>
</ItemTemplate>
</asp:repeater>
<tr><th colspan="6">
	<asp:Label ID="lblPager" runat="server" EnableViewState="False" meta:resourcekey="lblPagerResource1">pages:</asp:Label>
	<%= pagerString %></th>
	<th style="white-space:nowrap">
		<asp:ImageButton ID="btnDel" ToolTip="delete selected" runat="server" ImageUrl="images/delete.png" OnClick="btnDel_Click" OnClientClick="return confirm('are you sure?')"></asp:ImageButton>
		<asp:ImageButton ID="btnDisable" ToolTip="disable selected" runat="server" ImageUrl="images/delete_bw.png" OnClick="btnDisable_Click" OnClientClick="return confirm('are you sure?')"></asp:ImageButton>
	</th>
	</tr>
</table>
<p><a href="adduser.aspx" title="add user" runat="server" id="lnkAdd" enableviewstate="false">add user...</a></p>

<script type="text/javascript">
	function CheckUncheckAllUsers() {
		var chk = false;
		if (document.getElementById("cbDelAll").checked)
			chk = true;
		$("INPUT[type='checkbox'][@id ^= 'cbDel' ]").attr('checked', chk);
	   }
	function getParameterByName(name) {
		name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
		var regexS = "[\\?&]" + name + "=([^&#]*)";
		var regex = new RegExp(regexS);
		var results = regex.exec(window.location.href);
		if (results == null)
			return "";
		else
			return decodeURIComponent(results[1].replace(/\+/g, " "));
	}
	function Search() {
		var tbId = '<%= tbUsername.ClientID %>';
		document.location.href = 'allusers.aspx?q=' + document.getElementById(tbId).value + '&Disabled=' + getParameterByName("Disabled");
	}
</script>
	
</asp:Content>